<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:airastanajsc="http://airastanajsc.com/xbrl/2025" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2022-03-31" targetNamespace="http://airastanajsc.com/xbrl/2025" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/numeric" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:import schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd" namespace="http://www.xbrl.org/dtr/type/2022-03-31" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="2549000TO500ZGSE7T26-2025-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="2549000TO500ZGSE7T26-2025-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="2549000TO500ZGSE7T26-2025-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="2549000TO500ZGSE7T26-2025-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="ProfitOrLoss" roleURI="http://airastanajsc.com/xbrl/2025/roles/ProfitOrLoss">
        <link:definition>01 - Profit or loss</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncome" roleURI="http://airastanajsc.com/xbrl/2025/roles/StatementOfComprehensiveIncome">
        <link:definition>02 - Statement of comprehensive income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfFinancialPosition" roleURI="http://airastanajsc.com/xbrl/2025/roles/StatementOfFinancialPosition">
        <link:definition>03 - Statement of financial position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquity" roleURI="http://airastanajsc.com/xbrl/2025/roles/StatementOfChangesInEquity">
        <link:definition>04 - Statement of changes in equity</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlows" roleURI="http://airastanajsc.com/xbrl/2025/roles/StatementOfCashFlows">
        <link:definition>05 - Statement of cash flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://airastanajsc.com/xbrl/2025/roles/NotesAndMandatoryItems">
        <link:definition>06 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://airastanajsc.com/xbrl/2025/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="airastanajsc_HandlingLandingFeesAndRouteCharges" xbrli:balance="debit" xbrli:periodType="duration" name="HandlingLandingFeesAndRouteCharges" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_PassengerService" xbrli:balance="debit" xbrli:periodType="duration" name="PassengerService" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_InformationTechnology" xbrli:balance="debit" xbrli:periodType="duration" name="InformationTechnology" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_PropertyAndOfficeCosts" xbrli:balance="debit" xbrli:periodType="duration" name="PropertyAndOfficeCosts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_AircraftVariableLeaseCosts" xbrli:balance="debit" xbrli:periodType="duration" name="AircraftVariableLeaseCosts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_CorporateIncomeTaxRelatedToCashFlowHedgesEffectivePortionOfChangesInFairValue" xbrli:balance="debit" xbrli:periodType="duration" name="CorporateIncomeTaxRelatedToCashFlowHedgesEffectivePortionOfChangesInFairValue" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_CorporateIncomeTaxRelatedToLossFromHedgingInstruments" xbrli:balance="debit" xbrli:periodType="duration" name="CorporateIncomeTaxRelatedToLossFromHedgingInstruments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_NonCurrentGuaranteeDeposits" xbrli:balance="debit" xbrli:periodType="instant" name="NonCurrentGuaranteeDeposits" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_IncomeTaxPrepaid" xbrli:balance="debit" xbrli:periodType="instant" name="IncomeTaxPrepaid" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_OtherTaxesPrepaid" xbrli:balance="debit" xbrli:periodType="instant" name="OtherTaxesPrepaid" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_CurrentGuaranteeDeposits" xbrli:balance="debit" xbrli:periodType="instant" name="CurrentGuaranteeDeposits" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_DeferredRevenue" xbrli:balance="credit" xbrli:periodType="instant" name="DeferredRevenue" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_BookValuePerOrdinaryShare" xbrli:periodType="instant" name="BookValuePerOrdinaryShare" nillable="true" substitutionGroup="xbrli:item" type="num:perShareItemType" />
  <xs:element id="airastanajsc_TransferOfRightsToEquityInstrumentsForShareBasedPayments" xbrli:balance="credit" xbrli:periodType="duration" name="TransferOfRightsToEquityInstrumentsForShareBasedPayments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_CancelledRightsOfShareBasedPayments" xbrli:balance="credit" xbrli:periodType="duration" name="CancelledRightsOfShareBasedPayments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_AdjustmentsForChangeInImpairmentAllowanceForTradeReceivablesPrepaymentsGuaranteeDepositsAndCashAndCashEquivalents" xbrli:balance="credit" xbrli:periodType="duration" name="AdjustmentsForChangeInImpairmentAllowanceForTradeReceivablesPrepaymentsGuaranteeDepositsAndCashAndCashEquivalents" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_AdjustmentsForWriteDownOfObsoleteAndSlowMovingInventories" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForWriteDownOfObsoleteAndSlowMovingInventories" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_AdjustmentsForChangeInVacationAccrual" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForChangeInVacationAccrual" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_AdjustmentsForAccrualOfProvisionForAircraftMaintenance" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForAccrualOfProvisionForAircraftMaintenance" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_AdjustmentsForGainFromEarlyReturnOfAircraft" xbrli:balance="credit" xbrli:periodType="duration" name="AdjustmentsForGainFromEarlyReturnOfAircraft" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_AdjustmentsForOtherChangeInEquity" xbrli:balance="credit" xbrli:periodType="duration" name="AdjustmentsForOtherChangeInEquity" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_AdjustmentsForChangeInTradeAndOtherPayablesAndProvisionForAircraftMaintenance" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForChangeInTradeAndOtherPayablesAndProvisionForAircraftMaintenance" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_AdjustmentsForChangeInOtherFinancialInstruments" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForChangeInOtherFinancialInstruments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_GuaranteeDepositsPlacedClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="GuaranteeDepositsPlacedClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_GuaranteeDepositsWithdrawnClassifiedAsInvestingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="GuaranteeDepositsWithdrawnClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_TreasurySharesSettledClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="TreasurySharesSettledClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_EffectsOfMovementsInECLOnCashAndCashEquivalents" xbrli:balance="debit" xbrli:periodType="duration" name="EffectsOfMovementsInECLOnCashAndCashEquivalents" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_ForeignCurrencyTranslation" xbrli:balance="debit" xbrli:periodType="duration" name="ForeignCurrencyTranslation" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="airastanajsc_DescriptionOfAccountingPolicyForReservationCosts" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForReservationCosts" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="airastanajsc_DescriptionOfAccountingPolicyForPresentationOfAllowanceForECLInTheConsolidatedStatementOfFinancialPosition" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForPresentationOfAllowanceForECLInTheConsolidatedStatementOfFinancialPosition" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="airastanajsc_DisclosureOfGuaranteeDeposits" xbrli:periodType="duration" name="DisclosureOfGuaranteeDeposits" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="airastanajsc_DisclosureOfOtherTaxesPrepaid" xbrli:periodType="duration" name="DisclosureOfOtherTaxesPrepaid" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
</xs:schema>